### Method

# Fwupd Client inhibit

#### Declaration [src]

    gchar*
    fwupd_client_inhibit (
      FwupdClient* self,
      const gchar* reason,
      GCancellable* cancellable,
      GError** error
    )

#### Description [src]

Marks all devices as unavailable for update. Update is only available if there is no other inhibit imposed by other applications or by the system (e.g. low power state).

The same application can inhibit the system multiple times.

Available since: | 1.8.11

#### Parameters

`reason` | `const gchar*`
| The inhibit reason, e.g. `user active`
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.
`cancellable` | `GCancellable`
| Optional `GCancellable`.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
`error` | `GError **`
| The return location for a `GError*`, or `NULL`.

#### Return value

Returns: | `gchar*`
| A string to use for `fwupd_client_uninhibit_async()`, or `NULL` for failure.
| The caller of the method takes ownership of the data, and is responsible for freeing it.
| The value is a NUL terminated UTF-8 string.